.TH XSUN 1 "Release 5" "X Version 11"
.SH NAME
Xsun, XsunMono \- Sun server for X Version 11
.SH SYNOPSIS
.B Xsun
[ option ] ...
.SH DESCRIPTION
.I Xsun
is the server for Version 11 of the X window system on Sun hardware.
It will normally be started by the \fIxdm(1)\fP daemon or by a script
that runs the program \fIxinit(1)\fP.
.SH CONFIGURATIONS
.PP
.I Xsun
supports both color and monochrome screens.
.I XsunMono
is configured to support only monochrome screens.
.PP
Xsun supports the following framebuffer devices:
.TP 8
.B bwtwo
This monochrome display is available on most Sun products, with both 
the 1152x900 and 1600x1280 screen resolutions.
.TP 8
.B cgtwo
This color display is available on Sun VME platforms.  It may also be 
used as a monochrome-only display with the \fI-mono\fP switch.
.TP 8
.B cgthree
This color display is available on both the Sun386i and Desktop SPARC
platforms.
.TP 8
.B cgfour
This display is available on Sun-3/60, Sun-3/110, and Sun-4/110 platforms.  
It provides both color and monochrome screens (numbered 0 and 1, 
respectively by default) on the same monitor by toggling between them 
whenever the mouse goes off the left or right edges of the screen.
.TP 8
.B cgsix (GX)
This color display is used by the server to make some operations faster.
.PP
The server checks for \fI\-dev\fP command line option to determine which 
frame buffer to use.  If not specified on the command line, the server 
checks for the presence of the \fI\XDEVICE\fP environment variable.
Multiple framebuffer device names must be separated by a colon.  If no
framebuffer device names are found on the command line or the environment,
then the server resorts to a fallback list of devices.
.TP 8
.B SunOS 4.x.x
/dev/cgtwo0, /dev/cgtwo1, /dev/cgtwo2, /dev/cgthree0, /dev/cgthree1, 
/dev/cgthree2, /dev/cgsix0, /dev/cgsix1, /dev/cgsix2, /dev/cgfour0,
/dev/bwtwo0, /dev/bwtwo1
.TP 8 
.B Solaris 2.x
/dev/fbs/cgtwo0, /dev/fbs/cgtwo1, /dev/fbs/cgtwo2, /dev/fbs/cgthree0, 
/dev/fbs/cgthree1, /dev/fbs/cgthree2, /dev/fbs/cgsix0, /dev/fbs/cgsix1, 
/dev/fbs/cgsix2, /dev/fbs/cgfour0, /dev/fbs/bwtwo0, /dev/fbs/bwtwo1
.RE
.PP
On a Sun/386i, only the cgthree and bwtwo devices are checked for.
XsunMono only checks for bwtwo devices.  Finally, if no specific 
framebuffers are found, the generic framebuffer interface \fI/dev/fb\fP 
is used.
.PP
Note that the server does not support the GP,  GP+,  or GP2 graphics
coprocessors.  On these platforms, the \fBcgtwo\fP framebuffer should be
used instead (either by creating it or specifying \fI-dev /dev/cgtwo0\fP
on the server command line).  
.PP
None of the 24-bit framebuffers are supported.
.SH OPTIONS
In addition to the normal server options described in the \fIXserver(1)\fP
manual page, \fIXsun\fP accepts the following command line switches:
.TP 8
.B "\-ar1 \fImilliseconds\fP"
This option specifies amount of time in milliseconds before which a pressed
key should begin to autorepeat.
.TP 8
.B "\-ar2\fP \fImilliseconds\fP"
This option specifies the internal in milliseconds between autorepeats of
pressed keys.
.TP 8
.B "\-protect\fP \fIx[,y[,z[...]]]\fP"
This option protects the given keycodes from being used by the server for
NumLock or Compose combinations.
.TP 8
.B \-kbd \fIoption\fP
Thse options control various aspects of keyboard behaviour:
.RS
.TP 10
.B f11
Instructs the server that it should generate XK_F11 and XK_F12 as
keysyms for the keys labeled 'F11' and 'F12".  This is the default.
.TP 10
.B f36
Instructs the server to mimic Sun's OpenWindows server and generate
SunXK_F36 and SunXK_F37 as keysyms for the keys labeled 'F11' and 'F12'.
.TP 10
.B numlock
Enables special processing of any key bound to the XK_Num_Lock keysym,
allowing correct operation of the numeric keypad on the Sun type-4 and
type-5 keyboards.  This is the default.
.TP 10
.B compose
Enables special processing of any key bound to the SunXK_Compose keysym
or one of the Sun floating accent keysyms on the Sunn type-4 and type-5
keyboards.  This allows the use of the 'Compose' key and floating accent
keys to generate all characters in the ISO 8859-1 character set.
.TP 10
.B normal
Disables the special processing of keys bound to the XK_Num_Lock and 
SunXK_Compose keysyms described above -- they are treated as ordinary
keys.
.RE
.TP 8
.B \-mono
When used with the \fBcgtwo\fP, this option indicates that the server should
emulate a monochrome framebuffer instead of the normal color framebuffer.
When used with the \fBcgfour\fP, this option indicates that the monochrome
screen should be numbered 0 and the color screen numbered 1 (instead of the
other way around).
.TP 8
.B \-zaphod
This option disables switching between screens by sliding the mouse off the
left or right edges.  With this disabled, a window manager function must be 
used to switch between screens.
.TP 8
.B \-debug
This option indicates that the server is being run from a debugger,
and that it should \fBnot\fP
put its standard input,  output and error files into non-blocking mode.
.TP 8
.B "\-dev \fIfilename\fP[:\fIfilename\fP[:\fIfilename\fP]]"
This option specifies the colon separated names of framebuffer device 
files to be used.
.SH ENVIRONMENT
\fIXDEVICE\fP.
If present,  and if no explicit
.B -dev
options are given,  specifies the colon separated list of framebuffer 
device files to use.
.SH "SEE ALSO"
.PP
X(1), Xserver(1), xdm(1), xinit(1)
.SH NOTES
The auto-configuration depends on there being appropriate
special files in the
.I /dev
directory for the framebuffers which are to be used.  Extra
entries can confuse the server.
For example,  the X/160C in fact has the hardware for a monochrome
.B bwtwo0
on the CPU board.  So if 
.I /dev
has a special file for
.IR /dev/bwtwo0 ,
the server will use it,  even though there is no monitor attached to the
monochrome framebuffer.
The server will appear to start,  but not to paint a cursor,  because the
cursor is on the monochrome frame buffer.  The solution is to remove the
.I /dev
entries for any device you don't have a monitor for.
.PP
Multiple framebuffer support on VME-based systems requires special device
driver .o files, supplied by Sun.
.SH AUTHORS
.TP 8
U. C. Berkeley
Adam de Boor.
.TP 8
Sun Microsystems
David Rosenthal,  Stuart Marks,  Robin Schaufler,  Mike Schwartz,
Frances Ho,  Geoff Lee,  and Mark Opperman.
.TP 8
MIT Laboratory for Computer Science
Bob Scheifler, Keith Packard
.TP 8
Kaleb Keithley
